package com.itranswarp.learnjava.html;

public class HtmlBuilder {

	private HeadingBuilder headingBuilder = new HeadingBuilder();
	private HrBuilder hrBuilder = new HrBuilder();
	private ParagraphBuilder paragraphBuilder = new ParagraphBuilder();
	private QuoteBuilder quoteBuilder = new QuoteBuilder();

	public String toHtml(String markdown) {
		StringBuilder buffer = new StringBuilder();
		markdown.lines().forEach(line -> {
			if (line.startsWith("#")) {
				buffer.append(headingBuilder.buildHeading(line)).append('\n');
			} else if (line.startsWith(">")) {
				buffer.append(quoteBuilder.buildQuote(line)).append('\n');
			} else if (line.startsWith("---")) {
				buffer.append(hrBuilder.buildHr(line)).append('\n');
			} else {
				buffer.append(paragraphBuilder.buildParagraph(line)).append('\n');
			}
		});
		return buffer.toString();
	}
}
